enum {SENDER_ADD, SENDER_DELETE, SENDER_ALLOW, SENDER_DENY, SENDER_ON, SENDER_OFF};
#define NUM_SENDER_CMDS (SENDER_OFF + 1)
struct sender {
	char *name;
	int status;
	void (*init)(struct sender *);
	char* (*help)(void);
	char* (*info)(void);
	int (*send)(struct audio_format *af, long unsigned current_chunk, long unsigned chunks_sent, const char *buf, size_t len);
	int (*set_fds)(struct audio_format *af, int *, fd_set *, fd_set *);
	void (*handle_fds)(struct audio_format *af, int *max_fileno, fd_set *rfds, fd_set *wfds);
	void (*shutdown_clients)(void);
	int (*client_cmds[NUM_SENDER_CMDS])(struct sender_command_data*);
};
